path: /build/build/backrest-app-backup-1.1.0+3.package.tar.zst
dependencies: []
compilespec:
  steps: []
  env: []
  prelude:
  - anise rm nodejs --nodeps -y && export FEATURES="-sandbox -usersandbox -ipc-sandbox
    -pid-sandbox -network-sandbox" && emerge =net-libs/nodejs-20.17.0 -j
  - |-
    export FEATURES="-sandbox -usersandbox -ipc-sandbox -pid-sandbox -network-sandbox" && \
    export JOBS=3 && \
    eval 'mkdir -p /var/cache/portage/distfiles || true' && \
    chown portage:portage -R /var/cache/portage/ && \
    emerge -j ${JOBS} app-backup/backrest -pv -t && \
    emerge -j ${JOBS} --nodeps app-backup/backrest
  - export LUET_PORTAGE_CACHE_PACKAGES="/var/cache/portage/packages" && export LUET_PORTAGE_IGNORE_TAR_WARNING=1
    && export LUET_PORTAGE_PKGMETA=1 && export LUET_PORTAGE_PKGFILES=1 && eval 'rm
    -rf /pkgdir/ || true' && mkdir -p /pkgdir/backrest && luet-portage --dir /pkgdir/backrest
    app-backup/backrest && eval 'rm -v /var/cache/distfiles/* ${LUET_PORTAGE_CACHE_PACKAGES}/*
    || true'
  image: ""
  seed: docker-registry1.mottainai.local:5000/luet-macaroni-terragon-dev-tree:c7b17a4a7dbe36ba0d916218e2700d553bd306c9f47c43a57ca02c0f36fe6dfe
  package:
    name: backrest
    version: 1.1.0+3
    category: app-backup
    requires:
    - name: restic
      version: '>=0'
      category: app-backup
    annotations:
      subsets:
        rules:
          devel:
          - ^/usr/include/
          portage:
          - ^/var/db/pkg/
    description: Backrest is a web UI and orchestrator for restic backup
    uri:
    - https://github.com/garethgeorge/backrest
    license: GPL-3.0
    buildtimestamp: 2024-10-21 11:57:45.586626964 +0000 UTC m=+4799.600996647
    labels:
      BDEPEND: '>=dev-lang/go-1.12 app-arch/unzip virtual/pkgconfig'
      DEPEND: app-backup/restic net-libs/nodejs sys-apps/shadow
      IUSE: systemd
      RDEPEND: app-backup/restic
      emerge.packages: app-backup/backrest
      kit: geaaru-kit
      original.package.name: app-backup/backrest
      original.package.slot: "0"
      original.package.version: 1.1.0
    treedir: /build/packages
  package_dir: /pkgdir/backrest
  retrieve: []
  unpack: false
  includes: []
  excludes:
  - ^/var/cache/portage/
  - ^/var/git/
  build_options:
    pushimagerepository: docker-registry1.mottainai.local:5000/luet-macaroni-terragon-dev-tree
    pullimagerepository:
    - luet/cache
    pullfirst: false
    keepimg: false
    push: false
    concurrency: 0
    compressiontype: ""
    wait: false
    onlydeps: false
    nodeps: false
    solveroptions: {}
    buildvaluesfile: []
    buildvalues:
    - arch: amd64
      commons-repo: macaroni-commons-dev
    packagetargetonly: false
    rebuild: false
    backendargs: []
    backendtype: ""
    templatesfolder: []
  copy: []
  requires_final_images: false
checksums:
  sha256: c110018458e7d5776b07454ede06320db2ca61a1f2a89c33e4482d84755c7deb
compressiontype: zstd
files:
- etc/conf.d/backrest
- etc/init.d/backrest
- usr/bin/backrest
- var/db/pkg/app-backup/backrest-1.1.0/BDEPEND
- var/db/pkg/app-backup/backrest-1.1.0/BUILD_TIME
- var/db/pkg/app-backup/backrest-1.1.0/CATEGORY
- var/db/pkg/app-backup/backrest-1.1.0/CBUILD
- var/db/pkg/app-backup/backrest-1.1.0/CFLAGS
- var/db/pkg/app-backup/backrest-1.1.0/CHOST
- var/db/pkg/app-backup/backrest-1.1.0/CONTENTS
- var/db/pkg/app-backup/backrest-1.1.0/COUNTER
- var/db/pkg/app-backup/backrest-1.1.0/CTARGET
- var/db/pkg/app-backup/backrest-1.1.0/CXX
- var/db/pkg/app-backup/backrest-1.1.0/CXXFLAGS
- var/db/pkg/app-backup/backrest-1.1.0/DEFINED_PHASES
- var/db/pkg/app-backup/backrest-1.1.0/DEPEND
- var/db/pkg/app-backup/backrest-1.1.0/DESCRIPTION
- var/db/pkg/app-backup/backrest-1.1.0/EAPI
- var/db/pkg/app-backup/backrest-1.1.0/FEATURES
- var/db/pkg/app-backup/backrest-1.1.0/HOMEPAGE
- var/db/pkg/app-backup/backrest-1.1.0/INHERITED
- var/db/pkg/app-backup/backrest-1.1.0/IUSE
- var/db/pkg/app-backup/backrest-1.1.0/IUSE_EFFECTIVE
- var/db/pkg/app-backup/backrest-1.1.0/KEYWORDS
- var/db/pkg/app-backup/backrest-1.1.0/LDFLAGS
- var/db/pkg/app-backup/backrest-1.1.0/LICENSE
- var/db/pkg/app-backup/backrest-1.1.0/NEEDED
- var/db/pkg/app-backup/backrest-1.1.0/NEEDED.ELF.2
- var/db/pkg/app-backup/backrest-1.1.0/PF
- var/db/pkg/app-backup/backrest-1.1.0/RDEPEND
- var/db/pkg/app-backup/backrest-1.1.0/RESTRICT
- var/db/pkg/app-backup/backrest-1.1.0/SIZE
- var/db/pkg/app-backup/backrest-1.1.0/SLOT
- var/db/pkg/app-backup/backrest-1.1.0/USE
- var/db/pkg/app-backup/backrest-1.1.0/backrest-1.1.0.ebuild
- var/db/pkg/app-backup/backrest-1.1.0/environment.bz2
- var/db/pkg/app-backup/backrest-1.1.0/repository
- var/lib/backrest/.keep_app-backup_backrest-0
package_cacheimage: ""
runtime:
  name: backrest
  version: 1.1.0+3
  category: app-backup
  requires:
  - name: restic
    version: '>=0'
    category: app-backup
  annotations:
    subsets:
      rules:
        devel:
        - ^/usr/include/
        portage:
        - ^/var/db/pkg/
  description: Backrest is a web UI and orchestrator for restic backup
  uri:
  - https://github.com/garethgeorge/backrest
  license: GPL-3.0
  labels:
    BDEPEND: '>=dev-lang/go-1.12 app-arch/unzip virtual/pkgconfig'
    DEPEND: app-backup/restic net-libs/nodejs sys-apps/shadow
    IUSE: systemd
    RDEPEND: app-backup/restic
    emerge.packages: app-backup/backrest
    kit: geaaru-kit
    original.package.name: app-backup/backrest
    original.package.slot: "0"
    original.package.version: 1.1.0
